// Author: fengshengxiong
// Date: 2024/5/7
// Description: 路由配置

import 'package:get/get.dart';
import 'package:hello_wallpaper/modules/about/about_binding.dart';
import 'package:hello_wallpaper/modules/about/about_view.dart';
import 'package:hello_wallpaper/modules/cls_det/cls_det_binding.dart';
import 'package:hello_wallpaper/modules/cls_det/cls_det_view.dart';
import 'package:hello_wallpaper/modules/home/home_binding.dart';
import 'package:hello_wallpaper/modules/home/home_view.dart';
import 'package:hello_wallpaper/modules/settings/settings_binding.dart';
import 'package:hello_wallpaper/modules/settings/settings_view.dart';
import 'package:hello_wallpaper/modules/splash_screen/splash_screen_binding.dart';
import 'package:hello_wallpaper/modules/splash_screen/splash_screen_view.dart';
import 'package:hello_wallpaper/modules/wallpaper_det/wallpaper_det_binding.dart';
import 'package:hello_wallpaper/modules/wallpaper_det/wallpaper_det_view.dart';
import 'package:hello_wallpaper/modules/web_page/web_page_binding.dart';
import 'package:hello_wallpaper/modules/web_page/web_page_view.dart';

class AppPages {
  AppPages._();

  /// 启动页面
  static const splashScreen = '/splash_screen';

  /// 首页
  static const home = '/home';

  /// 壁纸详情
  static const wallpaperDet = '/wallpaper_det';

  /// 分类详情
  static const clsDet = '/cls_det';

  /// 设置
  static const settings = '/settings';

  /// 关于
  static const about = '/about';

  /// 隐私政策
  static const privacyPolicy = '/privacy_policy';

  /// 服务条款
  static const termsOfService = '/terms_of_service';

  static final routes = [
    GetPage(
      name: splashScreen,
      page: () => SplashScreenView(),
      binding: SplashScreenBinding(),
    ),
    GetPage(
      name: home,
      page: () => HomeView(),
      binding: HomeBinding(),
    ),
    GetPage(
      name: wallpaperDet,
      page: () => WallpaperDetView(),
      binding: WallpaperDetBinding(),
    ),
    GetPage(
      name: clsDet,
      page: () => ClsDetView(),
      binding: ClsDetBinding(),
    ),
    GetPage(
      name: settings,
      page: () => SettingsView(),
      binding: SettingsBinding(),
    ),
    GetPage(
      name: about,
      page: () => AboutView(),
      binding: AboutBinding(),
    ),
    GetPage(
      name: privacyPolicy,
      page: () => WebPageView(),
      binding: WebPageBinding(),
    ),
    GetPage(
      name: termsOfService,
      page: () => WebPageView(),
      binding: WebPageBinding(),
    ),
  ];
}
